Package: org.codehaus.groovy.classgen.asm

## [Java] Class BinaryDoubleExpressionHelper

- org.codehaus.groovy.classgen.asm.BinaryDoubleExpressionHelper

- Authors:
    Jochen "blackdrag" Theodorou

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BinaryExpressionWriter` | `stdCompareCodes`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BinaryDoubleExpressionHelper (WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected int` | `getBitwiseOperationBytecode(int op)`
    `` | `protected int` | `getCompareCode()`
    `` | `protected ClassNode` | `getDevisionOpResultType()`
    `` | `protected ClassNode` | `getNormalOpResultType()`
    `` | `protected int` | `getShiftOperationBytecode(int type)`
    `` | `protected int` | `getStandardOperationBytecode(int type)`
    `` | `protected boolean` | `supportsDivision()`
    `` | `protected boolean` | `writeBitwiseOp(int op, boolean simulate)`
    `` | `protected void` | `writeMinusMinus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected void` | `writePlusPlus(org.objectweb.asm.MethodVisitor mv)`
    `` | `protected boolean` | `writeShiftOp(int type, boolean simulate)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BinaryLongExpressionHelper` | `doubleTwoOperands, getBitwiseOperationBytecode, getCompareCode, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, supportsDivision, writeMinusMinus, writePlusPlus`
    `class BinaryExpressionWriter` | `arrayGet, arraySet, doubleTwoOperands, getArrayGetCaller, getArrayGetResultType, getArraySetCaller, getBitwiseOperationBytecode, getCompareCode, getController, getDevisionOpResultType, getNormalOpResultType, getShiftOperationBytecode, getStandardOperationBytecode, removeTwoOperands, setArraySetAndGet, supportsDivision, write, writeBitwiseOp, writeDivision, writeMinusMinus, writePlusPlus, writePostOrPrefixMethod, writeShiftOp, writeSpaceship, writeStdCompare, writeStdOperators`
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public BinaryDoubleExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### protected int getBitwiseOperationBytecode(int op)

    - #### protected int getCompareCode()

    - #### protected ClassNode getDevisionOpResultType()

    - #### protected ClassNode getNormalOpResultType()

    - #### protected int getShiftOperationBytecode(int type)

    - #### protected int getStandardOperationBytecode(int type)

    - #### @Override protected boolean supportsDivision()

    - #### protected boolean writeBitwiseOp(int op, boolean simulate)

    - #### protected void writeMinusMinus(org.objectweb.asm.MethodVisitor mv)

    - #### protected void writePlusPlus(org.objectweb.asm.MethodVisitor mv)

    - #### protected boolean writeShiftOp(int type, boolean simulate)